Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.core.sourcelookup.containers
Class DefaultSourceContainer

    java.lang.Object
      org.eclipse.core.runtime.PlatformObject
          org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
              org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
                  org.eclipse.debug.core.sourcelookup.containers.DefaultSourceContainer

All Implemented Interfaces:
  IAdaptable, ISourceContainer

public class DefaultSourceContainer
extends CompositeSourceContainer

A source container that computers the default source lookup path for a launch configuration on each launch using a launch configuration's associated source path computer.

Clients may instantiate this class. This class is not intended to be subclassed.

Since:
  3.0

Field Summary
`static String` | `TYPE_ID` Unique identifier for the default source container type (value `org.eclipse.debug.core.containerType.default`).

Fields inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`EMPTY`

Constructor Summary
`DefaultSourceContainer()` Constructs a default source container.

Method Summary
`protected ISourceContainer[]` | `createSourceContainers()` Creates the source containers in this composite container.
`boolean` | `equals(Object obj)`
`protected ILaunchConfiguration` | `getLaunchConfiguration()` Returns the launch configuration for which a default source lookup path will be computed, or `null` if none.
`String` | `getName()` The name of this source container that can be used for presentation purposes.
`ISourceContainerType` | `getType()` Returns this container's type.
`int` | `hashCode()`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.CompositeSourceContainer
`dispose, findSourceElements, findSourceElements, getSourceContainers, isComposite`

Methods inherited from class org.eclipse.debug.core.sourcelookup.containers.AbstractSourceContainer
`abort, getDirector, getSourceContainerType, init, isFindDuplicates`

Methods inherited from class org.eclipse.core.runtime.PlatformObject
`getAdapter`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### TYPE_ID

    public static final String TYPE_ID

  Unique identifier for the default source container type (value `org.eclipse.debug.core.containerType.default`).

Constructor Detail

### DefaultSourceContainer

    public DefaultSourceContainer()

  Constructs a default source container.

Method Detail

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### getLaunchConfiguration

    protected ILaunchConfiguration getLaunchConfiguration()

  Returns the launch configuration for which a default source lookup path will be computed, or `null` if none.

  Returns:
    the launch configuration for which a default source lookup path will be computed, or `null`

### getType

    public ISourceContainerType getType()

  Description copied from interface: `ISourceContainer`
  Returns this container's type.

  Returns:
    this container's type

### getName

    public String getName()

  Description copied from interface: `ISourceContainer`
  The name of this source container that can be used for presentation purposes. For example, the name of a project.

  Returns:
    the name of this source container

### createSourceContainers

    protected ISourceContainer[] createSourceContainers()
                                                 throws CoreException

  Description copied from class: `CompositeSourceContainer`
  Creates the source containers in this composite container. Subclasses should override this methods.

  Specified by:
    `createSourceContainers` in class `CompositeSourceContainer`
  Throws:
    `CoreException` - if unable to create the containers

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.